[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Graphics' (#lcl)

# TBrush.DoCopyProps

Copies properties from the specified FCL brush into the current class instance.

## Declaration

Source position: graphics.pp line 724

`protected procedure TBrush.DoCopyProps(`
`From: TFPCanvasHelper`
`); override;`

## Arguments

`From` |  | TFPCanvasHelper instance with the properties copied in the method.

## Description

DoCopyProps is an overridden method in TBrush used to copy properties from the brush instance in From to the current brush instance. If From is derived from TBrush, it ensures that the Handle in Reference is freed prior to copying values and calls the Changed method when the operation has been completed.

DoCopyProps calls the inherited method to copy values for the Style, Image, and Color properties.

DoCopyProps is called from the CopyBrush method in the ancestor class.